<ion-header>

  <ion-navbar>
    <ion-title>Dados pessoais</ion-title>
  </ion-navbar>

</ion-header>

<ion-content padding>

    <ion-item no-lines>
        <button ion-item large  (click)="takePicture()"  outline color="branco" float-left>
          <div *ngIf="photo==0">
          <img src="assets/imgs/user.png" class="icone">
        </div>
        <div *ngIf="photo!=0">
        <img class="circle-pic" src="{{ photo }}"  />
        </div>
        </button>
    </ion-item>
    <form [formGroup]="formgroup" >
    <ion-item>
      <ion-label>Nome</ion-label>
      <ion-input type="text" placeholder="|" [(ngModel)]="data.nome" name="description" formControlName="nome" class="campos-testes" ></ion-input>
    </ion-item>
    <ion-item  *ngIf="nome.hasError('required') && nome.touched" text-warp no-line>
      <p class="error"> *Nome é um campo obrigado de ser preenchido</p>
    </ion-item>
    <ion-item *ngIf="nome.hasError('minlength') && nome.touched" text-warp no-line>
        <p class="error">Seu nome precisa ter mais que 4 caracteres</p>
    </ion-item>
    <ion-item *ngIf="nome.hasError('maxlength') && nome.touched" text-warp no-line>
        <p  class="error">Máximo 30 caracteres</p>
    </ion-item>
    <ion-item>
      <ion-label >Data de Nascimento</ion-label>
      <ion-datetime displayFormat="DD/MMM/YYYY" [(ngModel)]="data.nascimento" name="nascimento" min="1880" max="1970" doneText="Confirmar" cancelText="Cancelar"  
      monthShortNames="jan, fev, mar, abr, mai, jun, jul, ago, set, out, nov, dez"
      [ngModelOptions]="{standalone: true}">
    </ion-datetime>
    </ion-item>
    <!--
    <ion-item>      
      <ion-label>Sexo</ion-label>
      <ion-select [(ngModel)]="data.sexo" name="sexo" formControlName="sex">
        <ion-option value="Masculino">Masculino</ion-option>
        <ion-option value="Feminino">Feminino</ion-option>
      </ion-select>    
    </ion-item>
    -->
    <ion-input type="hidden" [(ngModel)]="data.rowid" name="rowid" [ngModelOptions]="{standalone: true}"></ion-input>
    <button class="botao" ion-item no-lines type="submit" block (click)="updateData()" color="botao" [disabled]="formgroup.invalid">Confirmar</button>
</form>
</ion-content>
